Subject: Re: [PATCH] bootgraph: fix for use with dot symbols

From: Michael Neuling <[email-masked]>
Date: Sun, 08 Feb 2009 11:57:25 +1100

> > question for the ppc folks.... why does the "print symbol" magic format str
ing
> > thing print a dot symbol and not the real function name?
> > Should that be fixed instead?
> 
> We have two symbols for each function, foo points to the function
> descriptor, and .foo points to the instruction text. If we were to strip
> the '.' when we print symbols then it would become harder to diagnose
> some failures (eg branching to the function descriptor instead of the
> instruction text).

Arjan,

I don't think there is much scope for removing dot symbols in the near
future.

Can you please take the patch as is for now so bootgraph will at least
work for existing systems?

Mikey